namespace InABox.Core
{
    public class CurrencyEditor : NumericEditor, IButtonEditor
    {
        public CurrencyEditor(int digits) : base(digits)
        {
            Buttons = new EditorButton[] { };
            Format = $"C{digits}";
        }

        public CurrencyEditor() : this(2)
        {
            
        }
        
        public string CurrencySymbol { get; set; }
        
        public EditorButton[]? Buttons { get; set; }

        protected override BaseEditor DoClone()
        {
            return new CurrencyEditor(Digits)
            {
                Buttons = Buttons, 
                CurrencySymbol = CurrencySymbol
            };
        }


    }
}